#ifndef RollingAverage_cpp
#define RollingAverage_cpp

class RollingAverage {
	int* _array;
	int _currentIndex, _size;

public:
	RollingAverage(int size) {
		_size = size;
		_array = new int[size];
	}

	void add(int value) {
		_array[_currentIndex++] = value;
		if (_currentIndex >= _size)
			_currentIndex = 0;
	}

	float getAverage() {
		long total = 0;
		for (int i = 0; i < _size; i++) {
			total += _array[i];
		}
		return total / (float)_size;
	}
};

#endif