#include <Arduino.h>
#include "EspNowLightControlClient.cpp"
#include "LightControlPayload.cpp"

EspNowLightControlClient _control;

void sendOffCommands() {
	for (int i = 1; i <= 5; i++) {
		LightControlPayload data = LightControlPayload();
		data.id = i;
		data.brightness = 1;
		data.on = false;
		data.timer = 0;

		_control.send(data);

		delay(100);
	}
}

void setup() {
	Serial.begin(115200);

	_control.init();

	sendOffCommands();
	sendOffCommands(); // do it again because sometimes once isn't enough

	esp_deep_sleep_start();
}

void loop() {
	
}