#ifndef BluetoothLEDCallback_cpp
#define BluetoothLEDCallback_cpp

#include "BluetoothLightControl.cpp"
#include <BLEUtils.h>

class BluetoothLEDCallback : public BLECharacteristicCallbacks {
	BluetoothLightControl *_lightControl;
	std::string _payload;

	void onWrite(BLECharacteristic *characteristic) {
		_payload = characteristic->getValue();
		_lightControl->action(_payload);
		characteristic->setValue(_payload);
		characteristic->indicate();
	}

	public:

	BluetoothLEDCallback(BluetoothLightControl *lightControl){
		_lightControl = lightControl;
	}
};

#endif
